Bric::Util::Coll::ServerType - Interface for managing collections of servers types. $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ See Bric::Util::Coll. See Bric::Util::Coll.

Constructors
Inherited from Bric::Util::Coll.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
Returns the name of the class of objects this collection manages. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Instance Methods
Saves the changes made to all the objects in the collection. Pass in a Bric::Util::Job object ID to make sure all the Bric::Dist::ServerType objects are associated with that job. Throws: Bric::_get() - Problems retrieving fields. Unable to connect to database. Unable to prepare SQL statement. Unable to execute SQL statement. Unable to select row. Incorrect number of args to _set. Bric::_set() - Problems setting fields. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Util::Coll, Bric::Dist::ServerType